﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows.Input;
using Telerik.Windows.Controls;

namespace RadPivotGrid_WPF_768026
{
    public class ViewModel: ViewModelBase
    {
        private ObservableCollection<object> _ItemsSource;

        /// <summary>
        /// Gets or sets ItemsSource and notifies for changes
        /// </summary>
        public ObservableCollection<object> ItemsSource
        {
            get
            {
                return this._ItemsSource;
            }

            set
            {
                if (this._ItemsSource != value)
                {
                    this._ItemsSource = value;
                    this.OnPropertyChanged(() => this.ItemsSource);
                }
            }
        }
        public ICommand SetItemsSourceCommand { get; set; }
        public ViewModel()
        {
            this.SetItemsSourceCommand = new DelegateCommand(OnSetItemsSourceCommandExecuted);
            this.ItemsSource = new AllOrders();
        }

        private void OnSetItemsSourceCommandExecuted(object obj)
        {
            var orders = new AllOrders();
            var selectedOrders = orders.Where(x => (x as Order).Quantity < 30);
            this.ItemsSource = new ObservableCollection<object>(selectedOrders);
        }
    }
}
